export declare const tagProps: {
    hit: BooleanConstructor;
    text: StringConstructor;
    type: StringConstructor;
    theme: StringConstructor;
    size: StringConstructor;
    color: {
        type: (StringConstructor | ArrayConstructor)[];
        default: string;
    };
    closable: BooleanConstructor;
    operable: BooleanConstructor;
    disabled: BooleanConstructor;
    selectable: BooleanConstructor;
    onlyIcon: BooleanConstructor;
    customClass: {
        type: StringConstructor;
        default: string;
    };
    effect: {
        type: StringConstructor;
        default: string;
        validator: (value: string) => boolean;
    };
    beforeDelete: FunctionConstructor;
    value: (StringConstructor | NumberConstructor)[];
    maxWidth: {
        type: (StringConstructor | NumberConstructor)[];
        default: null;
    };
    mini: {
        type: BooleanConstructor;
        default: boolean;
    };
    tiny_mode: StringConstructor;
    tiny_mode_root: BooleanConstructor;
    tiny_template: (ObjectConstructor | FunctionConstructor)[];
    tiny_renderless: FunctionConstructor;
    tiny_theme: StringConstructor;
    tiny_chart_theme: ObjectConstructor;
};
declare const _default: any;
export default _default;
